Results 1 to 3 of 3

Thread: Cant install postgresql or mysql in BT5 ARM on Xoom

  1. #1
    Just burned his ISO
    Join Date
    Apr 2010
    Posts
    4

    Default Cant install postgresql or mysql in BT5 ARM on Xoom

    I am unable to install postgresql or mysql when using:

    Code:
    apt-get install postgresql
    and same for mysql with mysql-server. Below is the following output from: apt-get update, apt-get upgrade, install errors, lshw, my sources.list

    Code:
    root@localhost:/# apt-get update
    Hit http://armel.repository.backtrack-linux.org revolution Release.gpg
    Hit http://armel.repository.backtrack-linux.org revolution Release
    Hit http://armel.repository.backtrack-linux.org revolution/main Packages
    Hit http://armel.repository.backtrack-linux.org revolution/microverse Packages
    Hit http://armel.repository.backtrack-linux.org revolution/non-free Packages
    Hit http://armel.repository.backtrack-linux.org revolution/testing Packages
    Hit BackTrack Linux Repository revolution Release.gpg
    Hit BackTrack Linux Repository revolution Release
    Hit Index of / revolution Release.gpg
    Hit Index of / revolution Release
    Hit Index of / revolution/main Packages
    Hit Index of / revolution/microverse Packages
    Hit Index of / revolution/non-free Packages
    Hit Index of / revolution/testing Packages
    Hit BackTrack Linux Repository revolution/main Packages
    Hit BackTrack Linux Repository revolution/microverse Packages
    Hit BackTrack Linux Repository revolution/non-free Packages
    Hit BackTrack Linux Repository revolution/testing Packages
    Reading package lists...
    root@localhost:/#
    #############################################################
    root@localhost:/# apt-get upgrade
    Reading package lists...
    Building dependency tree...
    Reading state information...
    The following packages have been kept back:
      capplets-data evolution-common evolution-data-server-common libatk1.0-data
      libglib2.0-data libgtk2.0-bin nautilus-data python-pyatspi update-manager
    0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
    root@localhost:/# 
    #############################################################
    
    root@localhost:/# apt-get install postgresql
    Reading package lists...
    Building dependency tree...
    Reading state information...
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
      postgresql: Depends: postgresql-8.4 but it is not installable 
    root@localhost:/#
    #############################################################
    
    root@localhost:/# apt-get install postgresql-8.4
    Reading package lists...
    Building dependency tree...
    Reading state information...
    Package postgresql-8.4 is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    root@localhost:/#
    #############################################################
    
    root@localhost:/# apt-get install mysql-server
    Reading package lists...
    Building dependency tree...
    Reading state information...
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
      mysql-server: Depends: mysql-server-5.1 but it is not installable
    root@localhost:/#
    #############################################################
    
    root@localhost:/# lshw
    localhost
        description: Computer
        width: 32 bits
      *-core
           description: Motherboard
           physical id: 0
         *-memory
              description: System memory
              physical id: 0
              size: 718MiB
         *-cpu
              physical id: 1
              bus info: cpu@0
              size: 1504MHz
              capacity: 1504MHz
              capabilities: cpufreq
      *-network:0 DISABLED
           description: Ethernet interface
           physical id: 1
           logical name: dummy0
           serial: 1e:36:f3:1c:06:73
           capabilities: ethernet physical
           configuration: broadcast=yes
      *-network:1 DISABLED
           description: Ethernet interface
           physical id: 2
           logical name: usb0
           serial: d2:6f:ab:a5:ed:86
           capabilities: ethernet physical
           configuration: broadcast=yes driver=g_ether driverversion=29-May-2008 firmware=fsl-tegra-udc link=no multicast=yes
      *-network:2
           description: Wireless interface
           physical id: 3
           logical name: wlan0
           serial: 00:90:4c:12:34:56
           capabilities: ethernet physical wireless
           configuration: broadcast=yes driver=wl driverversion=0 ip=172.21.1.45 multicast=yes wireless=IEEE 802.11-DS
    root@localhost:/#
    #############################################################
    
    root@localhost:/# cat /etc/apt/sources.list
    #deb http://ports.ubuntu.com/ubuntu-ports lucid main restricted
    #deb-src http://archive.ubuntu.com/ubuntu lucid main restricted
    
    #deb http://ports.ubuntu.com/ubuntu-ports lucid-security main restricted
    #deb-src http://archive.ubuntu.com/ubuntu lucid-security main restricted
    
    ## Major bug fix updates produced after the final release of the
    ## distribution.
    #deb http://ports.ubuntu.com/ubuntu-ports lucid-updates main restricted
    #deb-src http://archive.ubuntu.com/ubuntu lucid-updates main restricted
    
    ## Uncomment the following two lines to add software from the 'universe'
    ## repository.
    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team. Also, please note that software in universe WILL NOT receive any
    ## review or updates from the Ubuntu security team.
    # deb http://ports.ubuntu.com/ubuntu-ports lucid universe
    # deb-src http://archive.ubuntu.com/ubuntu lucid universe
    # deb http://ports.ubuntu.com/ubuntu-ports lucid-updates universe
    # deb-src http://archive.ubuntu.com/ubuntu lucid-updates universe
    # deb http://ports.ubuntu.com/ubuntu-ports lucid-security universe
    # deb-src http://archive.ubuntu.com/ubuntu lucid-security universe
    
    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team, and may not be under a free licence. Please satisfy yourself as to
    ## your rights to use the software. Also, please note that software in
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.
    # deb http://ports.ubuntu.com/ubuntu-ports lucid multiverse
    # deb-src http://archive.ubuntu.com/ubuntu lucid multiverse
    # deb http://ports.ubuntu.com/ubuntu-ports lucid-updates multiverse
    # deb-src http://archive.ubuntu.com/ubuntu lucid-updates multiverse
    # deb http://ports.ubuntu.com/ubuntu-ports lucid-security multiverse
    # deb-src http://archive.ubuntu.com/ubuntu lucid-security multiverse
    #deb http://ports.ubuntu.com/ubuntu-ports karmic main universe
    deb Index of / revolution main microverse non-free testing
    deb BackTrack Linux Repository revolution main microverse non-free testing
    deb http://armel.repository.backtrack-linux.org revolution main microverse non-free testing
    root@localhost:/#
    Last edited by g0tmi1k; 10-16-2011 at 11:51 AM. Reason: Added code tags

  2. #2
    Just burned his ISO
    Join Date
    Apr 2010
    Posts
    4

    Default Re: Cant install postgresql or mysql in BT5 ARM on Xoom

    It seem's that the backtrack ARM project is still very new and that the particular packages for postgresql/mysql were not in the BT repository so the individual packages will need to be downloaded and installed by hand. Here is what i did in order.
    NOTE: This is JUST TO GET postgresql installed in your environment, there are other steps needed in order to get it setup and used in msf that i will not be covering here.


    1. postgresql-client-common
    2. postgresql-common
    3. postgresql-client-8.4
    4. postgresql-8.4
    5. libossp-uuid16
    6. postgresql-contrib-8.4

  3. #3
    Just burned his ISO
    Join Date
    Sep 2011
    Posts
    1

    Default Re: Cant install postgresql or mysql in BT5 ARM on Xoom

    I have done my best to find ways of getting PostgreSQL installed on BT5-ARM I tried to install the above packages but I am still unable to get this working. My goal is to get PostgreSQL working in MSF. Would it be possible to for you to include the steps needed to get PostgreSQL working in MSF? If so thank you for your time.

Similar Threads

  1. Backtrack 5 ARM on Xoom 3.2 Assistance
    By viperhrdtp in forum BackTrack 5 ARM topics
    Replies: 1
    Last Post: 10-16-2011, 06:15 AM
  2. Backtrack 5 ARM on Xoom 3.2 Permissions
    By Soultaker666 in forum BackTrack 5 ARM topics
    Replies: 1
    Last Post: 07-26-2011, 03:46 AM
  3. Unicornscan (with PostgreSQL and web front end) Install Script
    By dash1b in forum BackTrack 5 Experts Section
    Replies: 1
    Last Post: 05-20-2011, 01:51 AM
  4. Replies: 2
    Last Post: 05-17-2010, 08:14 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •